
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java io学习（三） 管道的简介,源码分析和示例 / iVAN</title>

    <meta name="description" content="java io学习（三） 管道的简介,源码分析和示例 管道(PipedOutputStream和PipedInputStream)的简介,源码分析和示例 本章,我们对java 管道进行学习. java 管道介绍 在java中,PipedOutputStream和PipedInputStream分别是管道输出流和管道输入流. 它们的作用是让多线程可以通过管道进行线程间的通讯.在使用管道通信时,必须将PipedOutputStream和PipedInputStream配套使用. 使用管道通信时,大致的流程是:我们在线程A中向PipedOutputStr">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java io学习（三） 管道的简介,源码分析和示例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>管道(PipedOutputStream和PipedInputStream)的简介,源码分析和示例</p>
<p>本章，我们对java 管道进行学习。</p>
<p>java 管道介绍</p>
<p>在java中，PipedOutputStream和PipedInputStream分别是管道输出流和管道输入流。</p>
<p>它们的作用是让多线程可以通过管道进行线程间的通讯。在使用管道通信时，必须将PipedOutputStream和PipedInputStream配套使用。</p>
<p>使用管道通信时，大致的流程是：我们在线程A中向PipedOutputStream中写入数据，这些数据会自动的发送到与PipedOutputStream对应的PipedInputStream中，进而存储在PipedInputStream的缓冲中；此时，线程B通过读取PipedInputStream中的数据。就可以实现，线程A和线程B的通信。</p>
<p>PipedOutputStream和PipedInputStream源码分析</p>
<p>下面介绍PipedOutputStream和PipedInputStream的源码。在阅读它们的源码之前，建议先看看源码后面的示例。待理解管道的作用和用法之后，再看源码，可能更容易理解。</p>
<p>此外，由于在“java io系列03之 ByteArrayOutputStream的简介,源码分析和示例(包括OutputStream)”中已经对PipedOutputStream的父类OutputStream进行了介绍，这里就不再介绍OutputStream。</p>
<p>在“java io系列02之 ByteArrayInputStream的简介,源码分析和示例(包括InputStream)”中已经对PipedInputStream的父类InputStream进行了介绍，这里也不再介绍InputStream。</p>
<p>1. PipedOutputStream 源码分析(基于jdk1.7.40)</p>
<pre>
package java.io;

import java.io.*;

public class PipedOutputStream extends OutputStream {

    // 与PipedOutputStream通信的PipedInputStream对象
    private PipedInputStream sink;

    // 构造函数，指定配对的PipedInputStream
    public PipedOutputStream(PipedInputStream snk)  throws IOException {
        connect(snk);
    }

    // 构造函数
    public PipedOutputStream() {
    }

    // 将“管道输出流” 和 “管道输入流”连接。
    public synchronized void connect(PipedInputStream snk) throws IOException {
        if (snk == null) {
            throw new NullPointerException();
        } else if (sink != null || snk.connected) {
            throw new IOException("Already connected");
        }
        // 设置“管道输入流”
        sink = snk;
        // 初始化“管道输入流”的读写位置
        // int是PipedInputStream中定义的，代表“管道输入流”的读写位置
        snk.in = -1;
        // 初始化“管道输出流”的读写位置。
        // out是PipedInputStream中定义的，代表“管道输出流”的读写位置
        snk.out = 0;
        // 设置“管道输入流”和“管道输出流”为已连接状态
        // connected是PipedInputStream中定义的，用于表示“管道输入流与管道输出流”是否已经连接
        snk.connected = true;
    }

    // 将int类型b写入“管道输出流”中。
    // 将b写入“管道输出流”之后，它会将b传输给“管道输入流”
    public void write(int b)  throws IOException {
        if (sink == null) {
            throw new IOException("Pipe not connected");
        }
        sink.receive(b);
    }

    // 将字节数组b写入“管道输出流”中。
    // 将数组b写入“管道输出流”之后，它会将其传输给“管道输入流”
    public void write(byte b[], int off, int len) throws IOException {
        if (sink == null) {
            throw new IOException("Pipe not connected");
        } else if (b == null) {
            throw new NullPointerException();
        } else if ((off &lt; 0) || (off &gt; b.length) || (len &lt; 0) ||
                   ((off + len) &gt; b.length) || ((off + len) &lt; 0)) {
            throw new IndexOutOfBoundsException();
        } else if (len == 0) {
            return;
        }
        // “管道输入流”接收数据
        sink.receive(b, off, len);
    }

    // 清空“管道输出流”。
    // 这里会调用“管道输入流”的notifyAll()；
    // 目的是让“管道输入流”放弃对当前资源的占有，让其它的等待线程(等待读取管道输出流的线程)读取“管道输出流”的值。
    public synchronized void flush() throws IOException {
        if (sink != null) {
            synchronized (sink) {
                sink.notifyAll();
            }
        }
    }

    // 关闭“管道输出流”。
    // 关闭之后，会调用receivedLast()通知“管道输入流”它已经关闭。
    public void close()  throws IOException {
        if (sink != null) {
            sink.receivedLast();
        }
    }
}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索io流<br />
                    ，                源码<br />
                    ，                io输出流<br />
                    ，                输入<br />
                    ，                输入流<br />
                    ，                输出流<br />
                    ，                输入输出流<br />
                    ，                流关闭<br />
                    ，                java 输入输出流 关闭<br />
                    ，                输出<br />
                    ，                聚合管道<br />
                    ，                管道<br />
                    ，                ioException<br />
                                    sink<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 08:01:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5/" title="输入">输入</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%87%ba/" title="输出">输出</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e7%a0%81/" title="源码">源码</a>, <a href="https://www.iamivan.net/tag/ioexception/" title="ioException">ioException</a>, <a href="https://www.iamivan.net/tag/%e7%ae%a1%e9%81%93/" title="管道">管道</a>, <a href="https://www.iamivan.net/tag/io%e6%b5%81/" title="io流">io流</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5%e8%be%93%e5%87%ba%e6%b5%81/" title="输入输出流">输入输出流</a>, <a href="https://www.iamivan.net/tag/io%e8%be%93%e5%87%ba%e6%b5%81/" title="io输出流">io输出流</a>, <a href="https://www.iamivan.net/tag/java-%e8%be%93%e5%85%a5%e8%be%93%e5%87%ba%e6%b5%81-%e5%85%b3%e9%97%ad/" title="java 输入输出流 关闭">java 输入输出流 关闭</a>, <a href="https://www.iamivan.net/tag/%e6%b5%81%e5%85%b3%e9%97%ad/" title="流关闭">流关闭</a>, <a href="https://www.iamivan.net/tag/sink/" title="sink">sink</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%87%ba%e6%b5%81/" title="输出流">输出流</a>, <a href="https://www.iamivan.net/tag/%e8%be%93%e5%85%a5%e6%b5%81/" title="输入流">输入流</a>, <a href="https://www.iamivan.net/tag/%e8%81%9a%e5%90%88%e7%ae%a1%e9%81%93/" title="聚合管道">聚合管道</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java io学习（三） 管道的简介,源码分析和示例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2ZZ8b.html" rel="bookmark">java io系列04之 管道&lpar;PipedOutputStream和PipedInputStream&rpar;的简介&comma;源码分析和示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本章,我们对java 管道进行学习. 转载请注明出处:http://www.cnblogs.com/skywang12345/p/io_04.html java 管道介绍 在java中,PipedOutputStream和PipedInputStream分别是管道输出流和管道输入流.它们的作用是让多线程可以通过管道进行线程间的通讯.在使用管道通信时,必须将PipedOutputStream和PipedInputStream配套使用.使 用管道通信时,大致的流程是:我们在线程A中向PipedOut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz48W1z.html" rel="bookmark">java io学习（二）ByteArrayOutputStream的简介&comma;源码分析和示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ByteArrayOutputStream的简介,源码分析和示例(包括OutputStream) 前面学习ByteArrayInputStream,了解了&quot;输入流&quot;.接下来,我们学习与ByteArrayInputStream相对应的输出流,即ByteArrayOutputStream. 本章,我们会先对ByteArrayOutputStream进行介绍,在了解了它的源码之后,再通过示例来掌握如何使用它. ByteArrayOutputStream 介绍 ByteArrayOutputS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOZX5p.html" rel="bookmark">java io学习（一）ByteArrayInputStream的简介&comma;源码分析和示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ByteArrayInputStream的简介,源码分析和示例(包括InputStream) 我们以ByteArrayInputStream,拉开对字节类型的&quot;输入流&quot;的学习序幕. 本章,我们会先对ByteArrayInputStream进行介绍,然后深入了解一下它的源码,最后通过示例来掌握它的用法. ByteArrayInputStream 介绍 ByteArrayInputStream 是字节数组输入流.它继承于InputStream. 它包含一个内部缓冲区,该缓冲区包含从流中读取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLkYWz.html" rel="bookmark">java io系列03之 ByteArrayOutputStream的简介&comma;源码分析和示例&lpar;包括OutputStream&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面学习ByteArrayInputStream,了解了&quot;输入流&quot;.接下来,我们学习与ByteArrayInputStream相对应的输出流,即ByteArrayOutputStream.本章,我们会先对ByteArrayOutputStream进行介绍,在了解了它的源码之后,再通过示例来掌握如何使用它. 转载请注明出处:http://www.cnblogs.com/skywang12345/p/io_03.html ByteArrayOutputStream 介绍 ByteArray			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDyJ5Wb.html" rel="bookmark">java io系列02之 ByteArrayInputStream的简介&comma;源码分析和示例&lpar;包括InputStream&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  我们以ByteArrayInputStream,拉开对字节类型的&quot;输入流&quot;的学习序幕.本章,我们会先对ByteArrayInputStream进行介绍,然后深入了解一下它的源码,最后通过示例来掌握它的用法.   转载请注明出处:http://www.cnblogs.com/skywang12345/p/io_02.html   ByteArrayInputStream 介绍   ByteArrayInputStream 是字节数组输入流.它继承于InputStream.它包含一个内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEKd86p.html" rel="bookmark">Cocos2d-x学习笔记之Hello World源码分析&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我们来说一下游戏的原理,游戏类似于一场电影,早期的电影不就是靠一张张的图片放出来的吗?把场景人物什么的画在一幅幅图片上,然后从第一张图片开始播放就可以了.游戏更是如此,其实我们玩的游戏看到的画面都是美工做出来的,我们程序员要做的事情是组织这些图片,比如先弄个背景图片,然后在某一个坐标上放置一个人物的图片,我们写好程序,控制这个图片的移动路径,等机器运行的时候每秒都要刷新画面,我们就看到人物动了起来.而刷新页面的快慢就是我们所说的帧率,这个在程序中我们可以控制.整体的意思就是游戏不过是一些图片			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZQZZp.html" rel="bookmark">java集合框架07&mdash;&mdash;Map架构与源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几节我们对Collection以及Collection中的List部分进行了分析,Collection中还有个Set,由于Set是基于Map实现的,所以这里我们先分析Map,后面章节再继续学习Set.首先我们看下Map架构图:         从图中可以看出:         1. Map是一个接口,Map中存储的内容是键值对(key-value).         2. 为了方便,我们抽象出AbstractMap类来让其他类继承,该类实现了Map中的大部分API,其他Map的具体实现就可以通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boREqvz.html" rel="bookmark">java集合框架02&mdash;&mdash;Collection架构与源码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Collection是一个接口,它主要的两个分支是List和Set.如下图所示:         List和Set都是接口,它们继承与Collection.List是有序的队列,可以用重复的元素:而Set是数学概念中的集合,不能有重复的元素.List和Set都有它们各自的实现类. 为了方便,我们抽象出AbstractCollection类来让其他类继承,该类实现类Collection中的绝大部分方法.AbstractList和AbstractSet都继承与AbstractCollection,具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAEGkM.html" rel="bookmark">Nginx学习笔记（六） 源码分析&amp;amp&semi;启动过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				涉及到的基本函数 源码: 1 /* 2 * Copyright (C) Igor Sysoev 3 * Copyright (C) Nginx, Inc. 4 */ 5 6 7 #include &lt;ngx_config.h&gt; 8 #include &lt;ngx_core.h&gt; 9 #include &lt;nginx.h&gt; 10 11 12 static ngx_int_t ngx_add_inherited_sockets(ngx_cycle_t *cycle); 13 sta			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZE2Op.html" rel="bookmark" class="title">10分钟 MySQL 入门教程</a>
					<div>
						一.MySQL的相关概念介绍 二.Windows下MySQL的配置 配置步骤 MySQL服务的启动.停止与卸载 三.MySQL脚本的基本组成 四.MySQL中的数据类型 五.使用MySQL数据库 登录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP9XZz.html" rel="bookmark" class="title">优化长尾关键词标题的7点亲身体会</a>
					<div>
						你在为网站优化长尾关键词不收录头疼?百无聊耐,极尽所能却收效甚少?小编也经历过这个过程,现在把我我做网站优化长尾关键词的7点亲身体会与大家分享,愿有所感悟和收获!强调:长尾关键词标题是首要关口.先从我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Gwgb.html" rel="bookmark" class="title">COM组件中如何连接数据库</a>
					<div>
						连接数据库 /* written by Jaron ,2003-05-10 *//* 原出处:江都资讯网 http://www.jiangdu.net *//* 转载请注明出处和保留此版权信息 *// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjnk6p.html" rel="bookmark" class="title">&period;NET初学者架构设计指南（三）设计模式</a>
					<div>
						在上一篇里面,我们初步了解了OO设计,OO设计的最独特之处在于他看待需求的方式.用这样的方式 ,我们不需要急于确定软件需要实现哪些流程.设计哪些功能点.制作哪些画面,而是要关注需求中一 些更加基本的概 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd71a6M.html" rel="bookmark" class="title">任务栏不在桌面下方怎么办</a>
					<div>
						任务栏不在桌面下方怎么办   方法一: 将鼠标移动到任务栏中间然后按住鼠标的左键不放,将其移动至系统桌面下方放开即可. 方法二: 1.上述方法操作不成功的话,可以使用鼠标右击单击电脑任务栏的空白处,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6AW6z.html" rel="bookmark" class="title">清除顽固病毒的方法</a>
					<div>
						  有些病毒非常的顽固,在删除后等你重启电脑,它又来了,一起看看清除顽固病毒的方法. 一.清空 Internet Explorer (IE) 临时文件 杀毒软件报告的病毒如果在类似这样的路径下:c:D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24yPop.html" rel="bookmark" class="title">Excel2007RANDBETWEEN随机数函数</a>
					<div>
						  ①启动Excel2007,在单元格输入=ran,下面就会出现3个函数选择,我们选择第二项randbetween. ②选择好了之后,会出现函数参数的使用. ③我们输入10,100表示随机生成10-1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYR9OM.html" rel="bookmark" class="title">linux中head命令使用详解</a>
					<div>
						  head 与 tail 就像它的名字一样的浅显易懂,它是用来显示开头或结尾某个数量的文字区块,head 用来显示档案的开头至标准输出中,而 tail 想当然尔就是看档案的结尾. 1.命令格式: h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaG45M.html" rel="bookmark" class="title">瑞星专家教手工处理U盘伪装文件夹病毒</a>
					<div>
						目前,U盘已成为了传播病毒的主要途径之一.用户常见到的一种U盘病毒现象为,U盘中出现一个421KB统一大小的.exe后缀伪装文件夹,该病毒双击可以打开,也可以删除,但删除后再刷新可移动磁盘时病毒文件又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwy0nb.html" rel="bookmark" class="title">Win7系统UAC弹出提示时桌面屏幕变暗的解决方法</a>
					<div>
						Win7系统UAC弹出提示时桌面屏幕变暗的解决方法:微软在win7系统中引入了UAC安全控制系统,它很大程度上提高了系统的安全性,当然这也体现了windows7系统的强大,但是有得必有失,比如有些用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42A58M.html" rel="bookmark" class="title">酷狗音乐怎么截歌？</a>
					<div>
						  1.打开酷狗,选择你的音乐,选中你要编辑的音乐,然后右键,下来菜单,点击工具--&gt;制作铃声, 如果点击工具制作铃声没有弹出酷狗铃声制作专家的话,自已可以先下载酷狗铃声制作专家,和要制作铃声的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJaKOp.html" rel="bookmark" class="title">mfc-在工具栏上创建checkbox，如何响应该控件</a>
					<div>
						问题描述 在工具栏上创建checkbox,如何响应该控件 m_Toolbar2.GetItemRect(index,&amp;rectTBC); rectTBC.right += 29; skullc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm5Q5M.html" rel="bookmark" class="title">HTML乱码 只能另存一份html文件才能解决这个问题</a>
					<div>
						问题描述 HTML乱码 只能另存一份html文件才能解决这个问题 网上下载的五星评价插件,html文档打开以后字体乱码. 解决方法: ① &lt;meta http-equiv=&quot;Conte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RAZ3b.html" rel="bookmark" class="title">Error&colon; cannot find a valid baseurl for repo&colon; rpmfusion-free 解决办法</a>
					<div>
						今天在玩CentOS的时候出现了: Error: cannot find a valid baseurl for repo: rpmfusion-free 这个问题真到好恶心啊,以前一直使用到是ubu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M949qgb.html" rel="bookmark" class="title">从XP升级Win8专业版的8个理由</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   尽管Windows XP已经接近退休,但微软仍然无法阻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBGn8b.html" rel="bookmark" class="title">Domino邮件系统CPU与I&sol;O高问题</a>
					<div>
						问题描述 环境:aix5.3domino8.0.1状况:1)pop3进程占CPU80%到100%2)磁盘I/Obusy90-100%,通过filenmon查出有大量读写/mail/notesdata/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKXEgb.html" rel="bookmark" class="title">忽如一夜怪风来，&OpenCurlyDoubleQuote;智慧城市&rdquo;花遍开</a>
					<div>
						摘要: ■ 一周观察 想要杜绝类似智慧城市热的怪象,首先需要城市的主政者形成决策智慧,通过程序与规则来保障决策的民主性与科学性,并善于借助市场的机制,激活社会力量的发展,从 ■ 一周观察 想要杜绝类似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEy6lM.html" rel="bookmark" class="title">求书！《java2图形设计 卷2》</a>
					<div>
						问题描述 谁有&lt;java2图形设计卷2&gt;这本书啊?电子版和旧书新书都可以.网上那个chm格式的就不用了,那个不全,要PDF格式的.如果有书的话我想买,支持网上转账. 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjrJOM.html" rel="bookmark" class="title">秦刚：赚钱很简单，新创一个行业就可以了</a>
					<div>
						当你新创一个行业或者一个品类的时候,你一出来就是行业老大,这个话是王通反复强调的.我是非常赞同,因为新创一个行业,做为行业老大你不但能够有自己的定价权,享受最好的利润,同时你会在用户大脑海里牢牢占据第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDneVWM.html" rel="bookmark" class="title">以数据为中心的云计算&mdash;&mdash;阿里云OS浅谈</a>
					<div>
						文章讲的是以数据为中心的云计算--阿里云OS浅谈,云计算可以被解释为虚拟主机的租赁服务,也可以被解释为企业软件的SaaS化,又或者是一个&quot;云机箱&quot;之上跑许多个虚拟桌面.在阿里云看来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnROdZp.html" rel="bookmark" class="title">UML软件设计基础&lpar;UML图详解&rpar;</a>
					<div>
						UML软件设计基础(UML图详解) 作为一种建模语言,UML的定义包括UML语义和UML表示法两个部分. (1) UML语义 描述基于UML的精确元模型定义.元模型为UML的所有元素在语法和语义上提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRjmKp.html" rel="bookmark" class="title">深圳高特佳蔡玮确定出席医疗器械投资圆桌论坛嘉宾</a>
					<div>
						日前,医疗行业知名投资人.深圳高特佳的蔡玮先生已确定出席2010年12月23日在北京国际饭店举办的第二届中国医疗器械投资发展论坛,并将在圆桌论坛环节发表精彩言论. 蔡玮先生是专业医疗领域的投资人,深圳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRaBKp.html" rel="bookmark" class="title">数&OpenCurlyDoubleQuote;聚&rdquo;天下 盐城开启产业先导新时代</a>
					<div>
						4月16日至17日,以&quot;网联万物,数知天下&quot;为主题的2016中国大数据企业大会将在盐城举办.本次大会将以国际化的视野,从政策法规.技术实践和产业应用等角度深入探讨大数据产业发展面临 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8QJnp.html" rel="bookmark" class="title">Hadoop 2&period;x HDFS和YARN的启动方式</a>
					<div>
						一.三种启动方式介绍 方式一:逐一启动(实际生产环境中的启动方式) hadoop-daemon.sh start|stop namenode|datanode| journalnode  yarn-d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlXl8p.html" rel="bookmark" class="title">python实现哈希表&lowbar;python</a>
					<div>
						复制代码 代码如下: #! /usr/bin/env python#coding=utf-8#实现哈希表(线性地址再散列) def ChangeKey(key,m,di):    key01=(key ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8ZeKb.html" rel="bookmark" class="title">GridView分页的实现以及自定义分页样式功能实例&lowbar;实用技巧</a>
					<div>
						GridView分页的实现 复制代码 代码如下: 要在GridView中加入 //实现分页 AllowPaging=&quot;true&quot; //一页数据10行 PageSize=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm2Zxz.html" rel="bookmark" class="title">JavaScript改变HTML元素的样式改变CSS及元素属性&lowbar;javascript技巧</a>
					<div>
						改变 HTML 样式 如需改变 HTML 元素的样式,请使用这个语法: 复制代码 代码如下: document.getElementById(id).style.property=new style  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5e28z.html" rel="bookmark" class="title">wz&period;jsp&quest;id&equals;145什么意思！？</a>
					<div>
						问题描述 程序源码如下:&lt;tablewidth=&quot;280&quot;border=&quot;0&quot;cellpadding=&quot;0&quot;cellspacing=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GxkAp.html" rel="bookmark" class="title">SQL查询难题</a>
					<div>
						问题描述 SELECTdbo.Product.Type_Name,dbo.Product.Title,dbo.Product.IncludeSmallPic,dbo.Product.IncludePi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdNykM.html" rel="bookmark" class="title">ad-imageplus 图加广告详解</a>
					<div>
						图+广告的代码位迁移至mip的具体方法 支持布局 N/S 示例 示例1 非 mip 页投放方式 &lt;!-- 图+原代码位 示例 --&gt; &lt;script type=&quot;text/ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
